All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.events.broker
Interface MessageInterface

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public interface MessageInterface

A Message Interface is used to obtain information about an event that was received by an `EventBroker service`. Such information includes:

- name of event
- name of message
- associated properties
- security context
- body of message

## Usage

Allow process nodes and dynamic listeners to operate on a message.

Since:
  1.0

Method Summary
`abstract java.lang.Object` | `clone()` Clone a copy of this message.
`abstract java.lang.Object` | `getBody()` Get body of message.
`abstract org.w3c.dom.DocumentFragment` | `getBodyAsDocumentFragment()` Get body of message as a DocumentFragment.
`abstract java.lang.String` | `getBodyAsString()` Get body of message as a string independent of its underlying format.
`abstract java.lang.String` | `getEventName()` Get the event name associated with this message.
`abstract java.lang.String` | `getMessageName()` Get the message name.
`abstract java.util.Map` | `getProperties()` Get properties associated with this event message.
`abstract SecurityContext` | `getSecurityContext()` Get security context.
`abstract java.lang.String` | `getSourceNodeName()` Get source process node name.
`abstract void` | `setBody(java.lang.Object body)` Set body of message.

Method Detail

### clone

    java.lang.Object clone()

  Clone a copy of this message.

  Returns:
    clone of this message.

### getEventName

    java.lang.String getEventName()

  Get the event name associated with this message.

  Returns:
    name of the event that originated this message.

### getMessageName

    java.lang.String getMessageName()

  Get the message name.

  The initial, starting message that is created by the `EventBroker Service` when an event is triggered is always named start.

  Returns:
    name of the message.

### setBody

    void setBody(java.lang.Object body)

  Set body of message.

  Parameters:
    `body` - message body.

### getBody

    java.lang.Object getBody()

  Get body of message.

  Returns:
    body message body.

### getBodyAsDocumentFragment

    org.w3c.dom.DocumentFragment getBodyAsDocumentFragment()
                                                           throws MessageBodyConversionException

  Get body of message as a DocumentFragment.

  The underlying message body must either already by a DocumentFragment or an object that can be serialized into DocumentFragment such as a String.

  The returned document fragment is mutable. That is, updates to it are reflected in the body of the message.

  Returns:
    message body.
  Throws:
    `MessageBodyConversionException` - if problems occur.

### getBodyAsString

    java.lang.String getBodyAsString()
                                     throws MessageBodyConversionException

  Get body of message as a string independent of its underlying format.

  Returns:
    message body.
  Throws:
    `MessageBodyConversionException` - if problems occur.

### getProperties

    java.util.Map getProperties()

  Get properties associated with this event message.

  Returns:
    properties associated with this event message.

### getSecurityContext

    SecurityContext getSecurityContext()

  Get security context.

  Returns:
    securityContext security context associated with the event.

### getSourceNodeName

    java.lang.String getSourceNodeName()

  Get source process node name.

  It may be useful for process flow nodes to determine which predecessor node a message was propagated from.

  Returns:
    sourceNodeName name of the process node that propagated this message or `blank` if this in the initial, starting message.

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.